require 'bundler/setup'
Bundler.setup

require 'twoctwop'
# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# The generated `.rspec` file contains `--require spec_helper` which will cause this
# file to always be loaded, without a need to explicitly require it in any files.
#
# Given that it is always loaded, you are encouraged to keep this file as
# light-weight as possible. Requiring heavyweight dependencies from this file
# will add to the boot time of your test suite on EVERY test run, even for an
# individual file that may not need all of that loaded. Instead, make a
# separate helper file that requires this one and then use it only in the specs
# that actually need it.
#
# The `.rspec` file also contains a few flags that are not defaults but that
# users commonly want.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration

Dir[File.join(Twoctwop.root, "spec/support/**/*.rb")].each { |f| require f }


RSpec.configure do |config|
  config.add_setting :certificate_path

  config.certificate_path = File.expand_path(Twoctwop.root + '/spec/fixtures/certificate')


  config.before(:all) do 
    Twoctwop::Config.configure do |c|
      c.endpoint    = 'https://s.2c2p.com/SecurePayment/paymentauth.aspx'
      c.merchant_id = 'JT01'
      c.secret_key  = '7jYcp4FxFdf0'
      c.private_key = File.read(File.join(config.certificate_path, 'demo2.pem'))
      c.certificate = File.read(File.join(config.certificate_path, 'demo2.crt'))
      c.passphrase  = '2c2p'
    end
  end
end
